<div class="header-container">

  <mat-toolbar  color="primary">
    <mat-toolbar-row>
      <span><img  class="image-container" src="/assets/img/dogmate_logo.png"></span>

      <span class="spacer"></span>

      
      <a routerLink="/login" class="headerlink">Login</a>
      <button class="material-icon" mat-icon-button [mat-menu-trigger-for]="menu">
        <mat-icon>face</mat-icon>
      </button>
    </mat-toolbar-row>
  </mat-toolbar>
  
  <mat-menu x-position="before" #menu="matMenu">
    <button mat-menu-item>Profile</button>
    <button mat-menu-item routerLink="/home">Logout</button>
  </mat-menu>

</div>